.single-post .blog-detail-page-inner p,
.single-post .blog-detail-page-inner dl,
.single-post .blog-detail-page-inner h1,
.single-post .blog-detail-page-inner h2,
.single-post .blog-detail-page-inner h3,
.single-post .blog-detail-page-inner h4,
.single-post .blog-detail-page-inner h5,
.single-post .blog-detail-page-inner h6,
.single-post .blog-detail-page-inner ul,
.single-post .blog-detail-page-inner ol,
.single-post .blog-detail-page-inner table,
.single-post .blog-detail-page-inner blockquote,
.single-post .blog-detail-page-inner pre,
.single-post .blog-detail-page-inner code,
.single-post .blog-detail-page-inner figure,
.single-post .blog-detail-page-inner iframe,
.single-post .blog-detail-page-inner video,
.single-post .blog-detail-page-inner audio,
.single-post .blog-detail-page-inner embed,
.single-post .blog-detail-page-inner object,
.single-post .blog-detail-page-inner canvas,
.single-post .blog-detail-page-inner .wp-caption,
.single-post .blog-detail-page-inner .aligncenter,
.single-post .blog-detail-page-inner .alignnone,
.single-post .blog-detail-page-inner .blog-author-info {
    max-width: 960px;
    margin-left: auto;
    margin-right: auto;
}

.single-post .blog-detail-page-inner img {
    max-width: 100% !important;
    max-height: 60vh;
    object-fit: contain;
}

.single-post .blog-detail-page-inner ul,
.single-post .blog-detail-page-inner ol {
    padding-left: 2.5em;
}

.single-post .blog-detail-page-inner dd {
    padding-left: 1.5em;
}

/* April 30 2026 */
.single-post .blog-detail-page-inner .blog-author-details {
    display: flex;
    justify-content: flex-start;
    flex-wrap: wrap;
}
.single-post .blog-detail-page-inner .blog-author-details .post-author {
    margin-left: 15px;
    padding-left: 15px;
    border-left: 1px solid #c4c4c4;
}
.single-post .blog-detail-page-inner .author_info {
    display: flex;
    align-items: center;
    flex-wrap: wrap;
    max-width: 960px;
    margin: 50px auto;
}
.single-post .blog-detail-page-inner .author_info .author_avatar {
    flex-basis: 200px;
}
.single-post .blog-detail-page-inner .author_info .author_avatar img {
    width: 200px !important;
    height: 200px !important;
    border-radius: 50%;
    object-fit: cover;
}
.single-post .blog-detail-page-inner .author_info .author_avatar .author_name {
    margin-top: 20px;
    text-align: center;
}
.single-post .blog-detail-page-inner .author_info .author_details {
    flex-basis: calc(100% - 200px);
    padding-left: 40px;
}
.single-post .blog-detail-page-inner .our-faq-area .faq-section-heading h2 {
    font-size: 44px;
    font-size: clamp(24px, 4vw, 44px);
    font-weight: 700;
    margin-bottom: 30px;
}
.single-post .blog-detail-page-inner .our-faq-area .inner-container {
    padding: 0;
    width: 100%;
}
.single-post .blog-detail-page-inner .our-faq-area .inner-container::before, .single-post .blog-detail-page-inner .our-faq-area .inner-container::after {
    display: none;
}
.single-post .blog-detail-page-inner .faq-main-section-area ul.faq-list-area {
    padding: 0;
    width: 100%;
}
.single-post .blog-detail-page-inner .faq-main-section-area ul.faq-list-area li {
    list-style-type: none;
}

@media(max-width: 1600px) {
    .single-post .blog-detail-page-inner .author_info .author_avatar img {
        width: 130px !important;
        height: 130px !important;
    }
}

@media(max-width: 992px) {
    .single-post .blog-detail-page-inner .author_info .author_avatar {
        flex-basis: 100px;
    }
    .single-post .blog-detail-page-inner .author_info .author_avatar img {
        width: 100px !important;
        height: 100px !important;
    }
    .single-post .blog-detail-page-inner .author_info .author_details {
        flex-basis: calc(100% - 120px);
        padding-left: 30px;
    }
}

@media(max-width: 575px) {
    .single-post .blog-detail-page-inner .author_info {
        align-items: flex-start;
        flex-direction: column;
    }
    .single-post .blog-detail-page-inner .author_info .author_details {
        padding-left: 0;
    }
}